2011-2014
Khronos Group
gl_Position
3G

# gl_Position

contains the position of the current vertex

## Declaration

out highp
vec4 `gl_Position`

## Description

The variable `gl_Position` is intended for writing the homogeneous vertex position. It can be written at any time during vertexshader execution. This value will be used by primitive assembly, clipping, culling, and other fixed functionality operations, if present, that operate on primitives after vertex processing has occurred. Its value is undefined after the vertex processing stage if the vertex shader executable does not write `gl_Position`.

## Version Support

gl_Position

## See Also

gl_PointSize

## Copyright

Copyright 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.